<template>
  <main>
    <div class="h1-container">
      <h1 class="h1-with-line"> Название секции, {{tasks.section_name}}</h1>
      <div class="h1-line"></div>
      <div class="clear"></div>
    </div>
    <div class="task-add-to-favorite flex-parent flex-end ">
      <a v-if="!tasks.is_favorite" @click="makeFavorite">Добавить в избранное <div class="task-star"></div></a>
      <router-link to="/favorite" v-else>В избранном <div class="task-star"></div></router-link>
    </div>

    <div class="task-h2-container">
      <div class="task-h2">Условие задачи</div>
      <div class="task-h2-line"></div>
    </div>

    <div class="text-center task-content">
      <img :src="tasks.text_image" alt="">
    </div>

    <div class="task-h2-container">
      <div class="task-h2">Решение</div>
      <div class="task-h2-line"></div>
    </div>


    <div class="text-center task-content">
      <img :src="tasks.solution" alt="">
      <a :href="tasks.source">{{tasks.source}}</a>
    </div>


    <div class="task-share flex-parent flex-justify-center">
      <div class="task-share-line"></div>
      <button class="task-share-text text-center">Поделиться с другом</button>
    </div>


    <div class="task-incorrect">
        <button class="report-button" @click="$modal.show('mistake-modal')"> Сообщить нам </button>
    </div>
  </main>
</template>

<script>
export default {
  name: 'Task',
  props: ['id'],
  beforeMount() {
    this.$store.dispatch('loadTask', this.id)
  },
  computed:{
    tasks(){
      console.log(this.$store.getters.tasks)
      return this.$store.getters.tasks
    },
  },
  methods:{
    makeFavorite(){
        this.$axios.get('/profile/add-to-favorites/'+this.id).then((resp)=>{
          this.$store.dispatch('loadTask', this.id)
        })
    }
  }
}
</script>
